package com.ywt.outpatient.domain.models.enums;

/**
 * @author Walker
 * Created on 2021/7/14
 */
public enum MedEquipOrderExtStatusEnum {

    UNKNOWN("", 0),
    RETURN_EQUIP_NOTIFIED("已提醒归还设备", 1),
    ;

    private final String displayName;

    private final int value;

    MedEquipOrderExtStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static MedEquipOrderExtStatusEnum valueOf(int value) {
        for (MedEquipOrderExtStatusEnum e : MedEquipOrderExtStatusEnum.values()) {
            if ((e.value & value) == e.value && value < 2 * e.value) {
                return e;
            }
        }
        return UNKNOWN;
    }
}